Delete a comment
DELETE
/api/v1/rooms/{roomId}/comments/{threadId}/replies/{commentId}
const url = 'https://api.yggy.tech/api/v1/rooms/example/comments/example/replies/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.yggy.tech/api/v1/rooms/example/comments/example/replies/example \ --header 'Authorization: Bearer <token>'Deleting a thread’s first comment deletes the thread; thread is then null.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” roomId
required
string
threadId
required
string
commentId
required
string
Responses
Section titled “ Responses ”The thread as it is now
Media type application/json
object
thread
required
object
id
required
string
board
required
string
x
required
integer
y
required
integer
cardId
required
string | null
cardDx
required
integer | null
cardDy
required
integer | null
createdByUserId
required
string
resolvedAt
required
string | null
resolvedByUserId
required
string | null
createdAt
required
string
comments
required
Array<object>
object
id
required
string
authorUserId
required
string
authorName
required
string
authorImage
required
string | null
body
required
string
createdAt
required
string
editedAt
required
string | null
canEdit
required
boolean
canDelete
required
boolean
Example generated
{ "thread": { "id": "example", "board": "example", "x": 1, "y": 1, "cardId": "example", "cardDx": 1, "cardDy": 1, "createdByUserId": "example", "resolvedAt": "example", "resolvedByUserId": "example", "createdAt": "example", "comments": [ { "id": "example", "authorUserId": "example", "authorName": "example", "authorImage": "example", "body": "example", "createdAt": "example", "editedAt": "example", "canEdit": true, "canDelete": true } ] }}Invalid comment
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Unauthorized
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Not allowed
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Room or comment not found
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}